package testng.tests;

import org.testng.Assert;
import org.testng.annotations.Test;

import qsqs.ueberdeckungen.Fakultaet;
import qsqs.ueberdeckungen.Fibonacci;
import qsqs.ueberdeckungen.WahrFalsch;

public class TestNGTests{

	@Test(groups = {"Fakultaet"})
	public void TestFak5i(){
		Fakultaet fak = new Fakultaet();
		assert fak.iterativ(5)==120;
	}
	@Test(groups = {"Fakultaet"})
	public void TestFak5r(){
		Fakultaet fak = new Fakultaet();
		assert fak.rekursiv(5)==120;
	}
	@Test(groups = {"Fibonacci"})
	public void TestFibi(){
		Fibonacci fib = new Fibonacci();
		int[] erwartet = {0,1,1,2,3};
		for(int i = 0; i<5;i++){
			Assert.assertEquals(fib.iterativ(5)[i], erwartet[i]);
		}
	}
	@Test(groups = {"Fibonacci"})
	public void TestFibr(){
		Fibonacci fib = new Fibonacci();
		int[] erwartet = {0,1,1,2,3};
		for(int i = 0; i<5;i++){
			Assert.assertEquals(fib.rekursiv(5)[i], erwartet[i]);
		}
	}
	@Test(groups = {"WahrFalsch"})
	public void BeideWahr() throws Exception{
		WahrFalsch.TestC2C3_AND(true, true);
	}
	@Test(groups = {"WahrFalsch"},expectedExceptions = {java.lang.Exception.class})
	public void NichtBeideWahr() throws Exception{
		WahrFalsch.TestC2C3_AND(false, true);
	}
	@Test(groups = {"WahrFalsch"},expectedExceptions = {java.lang.Exception.class})
	public void NichtsWahr() throws Exception{
		WahrFalsch.TestC2C3_AND(false, false);
	}
	@Test(groups = {"WahrFalsch"})
	public void BeideWahro() throws Exception{
		WahrFalsch.TestC2C3_OR(true, true);
	}
	@Test(groups = {"WahrFalsch"})
	public void NichtBeideWahro() throws Exception{
		WahrFalsch.TestC2C3_OR(false, true);
	}
	@Test(groups = {"WahrFalsch"},expectedExceptions = {java.lang.Exception.class})
	public void NichtsWahro() throws Exception{
		WahrFalsch.TestC2C3_OR(false, false);
	}
}
